0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
matrix_major_storage.hpp File Reference

GLM_GTX_matrix_major_storage More...

Go to the source code of this file.

## Functions
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 2, 2, T, P > | colMajor2 (vec< 2, T, P > const &v1, vec< 2, T, P > const &v2)
| Build a column major matrix from column vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 2, 2, T, P > | colMajor2 (mat< 2, 2, T, P > const &m)
| Build a column major matrix from other matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 3, 3, T, P > | colMajor3 (vec< 3, T, P > const &v1, vec< 3, T, P > const &v2, vec< 3, T, P > const &v3)
| Build a column major matrix from column vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 3, 3, T, P > | colMajor3 (mat< 3, 3, T, P > const &m)
| Build a column major matrix from other matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 4, 4, T, P > | colMajor4 (vec< 4, T, P > const &v1, vec< 4, T, P > const &v2, vec< 4, T, P > const &v3, vec< 4, T, P > const &v4)
| Build a column major matrix from column vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 4, 4, T, P > | colMajor4 (mat< 4, 4, T, P > const &m)
| Build a column major matrix from other matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 2, 2, T, P > | rowMajor2 (vec< 2, T, P > const &v1, vec< 2, T, P > const &v2)
| Build a row major matrix from row vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 2, 2, T, P > | rowMajor2 (mat< 2, 2, T, P > const &m)
| Build a row major matrix from other matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 3, 3, T, P > | rowMajor3 (vec< 3, T, P > const &v1, vec< 3, T, P > const &v2, vec< 3, T, P > const &v3)
| Build a row major matrix from row vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 3, 3, T, P > | rowMajor3 (mat< 3, 3, T, P > const &m)
| Build a row major matrix from other matrix. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 4, 4, T, P > | rowMajor4 (vec< 4, T, P > const &v1, vec< 4, T, P > const &v2, vec< 4, T, P > const &v3, vec< 4, T, P > const &v4)
| Build a row major matrix from row vectors. More...
template<typename T , qualifier P>
GLM_FUNC_DECL mat< 4, 4, T, P > | rowMajor4 (mat< 4, 4, T, P > const &m)
| Build a row major matrix from other matrix. More...

## Detailed Description

GLM_GTX_matrix_major_storage

See also
  GLM Core (dependence)
  GLM_GTX_extented_min_max (dependence)

Definition in file matrix_major_storage.hpp.